Updates the db_info_data_task object with the specified key ///
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
db_info_data_task| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| task_id |
Foreign key of the object using his Wello Guid Primary Key |
globally unique identifier |
Optionally required : task_id or task_reference_back_office must be provided |
| task_reference_back_office |
Foreign key of the object using ERP PK when adding/updating db_info_data |
string |
Optionally required : task_id or task_reference_back_office must be provided |
| db_info_field_id | globally unique identifier |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field_name | string |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field | db_info_field |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| value |
The value of this info fields for this targetId. Follow the formating rules (API / HELP / Info Fields) |
string |
Required |
| reference_back_office |
The Id/Ref of the back office for this object |
string |
Max length: 50 |
| sys_logical_delete |
sys_logical_delete |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "f0b71e89-8f13-4bfe-84df-dbbdbc82c0f4",
"task_id": "442149cc-9a34-4783-b463-d515934ec5bb",
"task_reference_back_office": "sample string 3",
"db_info_field_id": "59769cc4-8f32-4336-9185-8613d0d4aa29",
"db_info_field_name": "sample string 5",
"value": "sample string 6",
"reference_back_office": "sample string 7",
"sys_logical_delete": true,
"modified_dateutc": "2026-02-24T16:11:49.1305563+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.